end-to-end/actions/feature-logs-compression/run.sh
Earl Warren c4b3c61325
actions: fix: wait for the action logs to show up
The Forgejo instance completed the echo test successfully, there must
be a log at some point. But since Forgejo is still running, it may not
had time to write the logs just yet. Retry instead of giving up
immediately.
2024-11-12 15:40:12 +01:00

15 lines
374 B
Bash
Executable file

#!/bin/bash
set -e
source $FEATURE_DIR/../../lib/lib.sh
source $FEATURE_DIR/../../forgejo/fixtures.sh
if ! retry bash -c "find $DIR/forgejo-work-path/data/actions_log/root/example-echo | grep --quiet log.zst"; then
(
cd $DIR/forgejo-work-path
find data
)
echo expected a single log.zst file in data/actions_log/root/example-echo
exit 1
fi